Bug 119371 - Poor handling of out-of-scope variables in debugger ui
Poor handling of out-of-scope variables in debugger ui
Product: Red Hat Developer Suite
Classification: Retired
Component: CDT (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Tromey
Depends On:
  Show dependency treegraph
Reported: 2004-03-29 17:13 EST by Keith Seitz
Modified: 2014-08-11 01:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-28 11:45:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Keith Seitz 2004-03-29 17:13:56 EST
Description of problem:
When watching variables, any that go out of scope are dealt with very

Version-release number of selected component (if applicable):
20040329 nightly

How reproducible:
Every time

Steps to Reproduce:
1. Debug a simple testcase which has a function with a variable in it.
Break in this function.
2. Add the expression for the local variable (right click->Add Expression"
3. Step out of function to caller. Notice that there is no indication
that the variable is now out of scope UNLESS you click on the variable.
4. Try to modify the out-of-scope variable.

Actual results:
In #3, no indication that variable is out of scope. The UI simply does
not notice (yes, MI can deal with this situation)
In #4, you get the nice error message: "Setting the variable value
failed. Reason: Target request failed: mi_cmd_var_assign: Could not
assign expressin to varible object". How quaint.

Expected results:
In #3 it should NOT show a value for the variable -- it should show an
error message (like "out of scope" or something).
It should simply not allow the user to even attempt to modify a
variable out of scope.

Additional info:
Comment 1 Tom Tromey 2005-09-28 11:45:48 EDT
Closing old bug; either fixed or should be reported upstream.

Note You need to log in before you can comment on or make changes to this bug.